> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network by ID

> Retrieves information about a single network by its ID

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /dictionary/networks/{networkId}
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /dictionary/networks/{networkId}:
    get:
      tags:
        - assets
      summary: Get Network by ID
      description: >-
        Retrieves information about a single network by its ID


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - in: path
          name: networkId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Network'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    Network:
      properties:
        addressExplorerUrl:
          description: Website URL where you can look up addresses on this network
          examples:
            - https://etherscan.io/address/
          type: string
        confirmations:
          description: >-
            How many block confirmations are needed before a transaction is
            considered final and safe
          examples:
            - '6'
          format: int32
          type: string
        explorerUrl:
          description: Website URL where you can look up transactions on this network
          examples:
            - https://etherscan.io/tx/
          type: string
        isTestnet:
          description: >-
            True if this is a test network used for development/testing (not
            real money)
          type: boolean
        name:
          description: The human-readable name of this network that users will see
          examples:
            - Ethereum
          type: string
        nativeAssetId:
          type: string
        nativeAssetSymbol:
          type: string
        networkId:
          description: The unique ID for this blockchain network
          examples:
            - BTC
          type: string
        tags:
          description: '[See details](/enums/NetworkTag)'
          items:
            $ref: '#/components/schemas/NetworkTag'
          type: array
      type: object
    NetworkTag:
      enum:
        - show-vault
        - supports-rbf
        - supports-rbf-cancel
        - supports-memo
        - swap
        - supports-parallel-signing
        - supports-chained-signing
        - supports-fee-levels
        - has-address-activation
        - evm
        - bridge
      type: string

````